Temp X along pline

Discussion in 'AutoCAD' started by Tom Craft, Sep 15, 2003.

  1. Tom Craft

    Tom Craft Guest

    Does anyone know of a good method for producing the X that Acad moves
    along a polyline during a vertex edit?
    I am writing a VB routine that is similar to the Pedit command and would
    like screen verification of the vertex being worked on. A block could be
    used, but it would have to be anonymous and inserted at a scale
    depending on the screen display (same size X no matter what the zoom
    is).
    Thanks
    Tom Craft
     
    Tom Craft, Sep 15, 2003
    #1
  2. Tom Craft

    homhsu Guest

    I had wrote a code in Lisp and then want to implement the UI in VBA

    How to pass the selection set made by VBA to Lisp and then used by Lisp
    command such as (command "move" "" PT1 PT2 "") ?

    for example:

    VBA code:
    Sub Test()
    Dim ss As AcadSelectionSet
    On Error Resume Next
    Set ss = ThisDrawing.SelectionSets("test")
    If Err Then Set ss = ThisDrawing.SelectionSets.Add("test")
    ss.Clear
    ss.SelectOnScreen
    ThisDrawing.SendCommand "passSelection" & vbCr
    End Sub




    Lisp code:
    (defun c:passSelection()
    (vl-load-com)
    (setq acadapp (vlax-get-acad-object))
    (setq acaddoc (vla-get-activedocument acadapp))
    (setq selectionsets (vla-get-selectionsets acaddoc))
    (setq ss (vla-item selectionsets "test")) ; ..........(how to implement
    ss->allobj "allobj" as a lisp selection) (command "move" allObj ""
    PT1 PT2 "");.......................................
    )
     
    homhsu, Sep 15, 2003
    #2
  3. Tom Craft

    wivory Guest

    Perhaps you could just draw a couple of lines using the Display Coordinate System and scale them according to the zoom as you stated??
      
    Regards
      
    Wayne Ivory
    IT Analyst Programmer
    Wespine Industries Pty Ltd
     
    wivory, Sep 15, 2003
    #3
Ask a Question

Want to reply to this thread or ask your own question?

You'll need to choose a username for the site, which only take a couple of moments (here). After that, you can post your question and our members will help you out.